## ide-back-forward-list ide-back-forward-list |

## Functions

#define | IDE_TYPE_BACK_FORWARD_LIST
void | ide_back_forward_list_go_backward ()
void | ide_back_forward_list_go_forward ()
gboolean | ide_back_forward_list_get_can_go_backward ()
gboolean | ide_back_forward_list_get_can_go_forward ()
IdeBackForwardItem * | ide_back_forward_list_get_current_item ()
void | ide_back_forward_list_push ()
IdeBackForwardList * | ide_back_forward_list_branch ()
void | ide_back_forward_list_merge ()

## Properties

gboolean | can-go-backward | Read
gboolean | can-go-forward | Read
IdeBackForwardItem * | current-item | Read

## Signals

void | navigate-to | Run Last

## Types and Values

| IdeBackForwardList

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeBackForwardList

## Description

## Functions

### IDE_TYPE_BACK_FORWARD_LIST

    #define IDE_TYPE_BACK_FORWARD_LIST (ide_back_forward_list_get_type())

### ide_back_forward_list_go_backward ()

    void
    ide_back_forward_list_go_backward (IdeBackForwardList *self);

### ide_back_forward_list_go_forward ()

    void
    ide_back_forward_list_go_forward (IdeBackForwardList *self);

### ide_back_forward_list_get_can_go_backward ()

    gboolean
    ide_back_forward_list_get_can_go_backward
                                   (IdeBackForwardList *self);

### ide_back_forward_list_get_can_go_forward ()

    gboolean
    ide_back_forward_list_get_can_go_forward
                                   (IdeBackForwardList *self);

### ide_back_forward_list_get_current_item ()

    IdeBackForwardItem *
    ide_back_forward_list_get_current_item
                                   (IdeBackForwardList *self);

Retrieves the current IdeBackForwardItem or `NULL` if no items have been added to the IdeBackForwardList.

#### Returns

An IdeBackForwardItem or `NULL`.

[transfer none][nullable]

### ide_back_forward_list_push ()

    void
    ide_back_forward_list_push (IdeBackForwardList *self,
                                IdeBackForwardItem *item);

### ide_back_forward_list_branch ()

    IdeBackForwardList *
    ide_back_forward_list_branch (IdeBackForwardList *self);

Branches `self` into a newly created IdeBackForwardList.

This can be used independently and then merged back into a global IdeBackForwardList. This can be useful in situations where you have multiple sets of editors.

#### Returns

An IdeBackForwardList.

[transfer full]

### ide_back_forward_list_merge ()

    void
    ide_back_forward_list_merge (IdeBackForwardList *self,
                                 IdeBackForwardList *branch);

## Types and Values

### IdeBackForwardList

    typedef struct _IdeBackForwardList IdeBackForwardList;

## Property Details

### The `“can-go-backward”` property

      “can-go-backward”          gboolean

If there are more backward navigation items.

Flags: Read

Default value: FALSE

### The `“can-go-forward”` property

      “can-go-forward”           gboolean

If there are more forward navigation items.

Flags: Read

Default value: FALSE

### The `“current-item”` property

      “current-item”             IdeBackForwardItem *

The current navigation item.

Flags: Read

## Signal Details

### The `“navigate-to”` signal

    void
    user_function (IdeBackForwardList *idebackforwardlist,
                   IdeBackForwardItem *arg1,
                   gpointer            user_data)

Flags: Run Last